Bug 130992 - [UPDATE] games/klavaro
Summary: [UPDATE] games/klavaro
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-25 22:20 UTC by Herbert J. Skuhra
Modified: 2009-01-27 19:37 UTC (History)
0 users

See Also:


Attachments
file.diff (5.33 KB, patch)
2009-01-25 22:20 UTC, Herbert J. Skuhra
no flags Details | Diff
klavaro_1_1_8-2.txt (5.38 KB, text/plain)
2009-01-26 19:56 UTC, Herbert J. Skuhra
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Herbert J. Skuhra 2009-01-25 22:20:01 UTC
Update games/klavaro to version 1.1.8

Fix: Patch is attached.

Patch attached with submission follows:
Comment 1 Philip M. Gollucci freebsd_committer 2009-01-26 05:24:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2009-01-26 18:26:58 UTC
State Changed
From-To: open->feedback

Does not compile ; missing header
Comment 3 Philip M. Gollucci freebsd_committer 2009-01-26 18:27:11 UTC
===>  Building for klavaro-1.1.8
make  all-recursive
Making all in src
cc -DHAVE_CONFIG_H -I. -I.. -DPACKAGE_DATA_DIR=\""/usr/local/share"\" 
-DPACKAGE_LOCALE_DIR=\""/usr/local/share/locale"\"  -D_THREAD_SAFE 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/pixman-1 -I/usr/local/include/freetype2    -Wextra 
-I/usr/local/include  -O2 -pipe -fno-strict-aliasing -MT main.o -MD -MP -MF 
.deps/main.Tpo -c -o main.o main.c
main.c:18:23: error: curl/curl.h: No such file or directory
main.c: In function 'main':
main.c:182: error: 'CURL_GLOBAL_WIN32' undeclared (first use in this function)
main.c:182: error: (Each undeclared identifier is reported only once
main.c:182: error: for each function it appears in.)
main.c:182: error: 'CURLE_OK' undeclared (first use in this function)
*** Error code 1

Stop in /work/a/ports/games/klavaro/work/klavaro-1.1.8/src.
*** Error code 1

Stop in /work/a/ports/games/klavaro/work/klavaro-1.1.8.
*** Error code 1

Stop in /work/a/ports/games/klavaro/work/klavaro-1.1.8.
*** Error code 1
Comment 4 Philip M. Gollucci freebsd_committer 2009-01-27 04:17:25 UTC
State Changed
From-To: feedback->open

feedback received
Comment 5 dfilter service freebsd_committer 2009-01-27 19:26:19 UTC
pgollucci    2009-01-27 19:26:04 UTC

  FreeBSD ports repository

  Modified files:
    games/klavaro        Makefile distinfo pkg-plist 
  Log:
  Update to 1.1.8
  
  PR:             ports/130992
  Submitted by:   "Herbert J. Skuhra" <h.skuhra@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.15      +4 -2      ports/games/klavaro/Makefile
  1.9       +3 -3      ports/games/klavaro/distinfo
  1.8       +51 -3     ports/games/klavaro/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Philip M. Gollucci freebsd_committer 2009-01-27 19:37:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!